import request from "@/utils/request";

// 保存流程定义
export function saveFlowData(data: object) {
  return request({
    url: "/api/v1/definition/save",
    method: "post",
    data: data,
  });
}

// 获取流程定义详情
export function getFlowDataInfo(id: string) {
  return request({
    url: `/api/v1/definition/get/${id}`,
    method: "get",
  });
}

export function addRoleUser(
    queryParams: object
) {
  return request({
    url: "/api/v1/flowRole/add",
    method: "post",
    data: queryParams,
  });
}

export function queryRoleUser(
    queryParams: object
) {
  return request({
    url: "/api/v1/flowRole/userPage",
    method: "post",
    data: queryParams,
  });
}
export function delRoleUser(
    queryParams: object
){
  return request({
    url: "/api/v1/flowRole/delUser",
    method: "post",
    data: queryParams,
  });
}
export function delRole(
    queryParams: object
){
  return request({
    url: "/api/v1/flowRole/delRole",
    method: "post",
    data: queryParams,
  });
}
